summaryrefslogtreecommitdiff
path: root/tests/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test.sh')
-rwxr-xr-xtests/test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/test.sh b/tests/test.sh
index d30de7c..4016151 100755
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -1,6 +1,7 @@
#!/bin/bash
tests='bf
+control_flow
arr
arr2
arr3
@@ -26,7 +27,7 @@ compile_c() {
elif [ "$CC" = "tcc" ]; then
EXTRA_FLAGS="-w"
fi
- $CC $CFLAGS $EXTRA_FLAGS -o a.out out.c || exit 1
+ $CC $CFLAGS $EXTRA_FLAGS -Werror -o a.out out.c || exit 1
}
do_tests() {